Bug 210844 - otrs 2.1.1 is released. Some nice improvements included.
otrs 2.1.1 is released. Some nice improvements included.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: otrs (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
http://otrs.org/download/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-16 00:39 EDT by David Timms
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: otrs-2.1.5-1.fc6.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-22 08:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attempt to install initial 2.1.1-1 package (3.24 KB, text/plain)
2006-10-17 09:21 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2006-10-16 00:39:50 EDT
Description of problem:
The recently released 2.1.1 adds:
simplified ldap connection
improved statistics
pdf report generation
that sound like they are good improvements.

Version-Release number of selected component (if applicable):
2.0.4-3.fc5

Additional info:
It would be nice to see in fc5 and fc6. Please email me if you need an initial
tester of any updated packages :)
I guess the packager would have seen the announcement, in any case.
Comment 1 Mike McGrath 2006-10-16 09:36:21 EDT
There were a lot of changes.  I'd appreciate a test if you get a moment.  I
haven't tested it myself yet but will within the next day or two.

http://mmcgrath.net/~mmcgrath/otrs/otrs-2.1.1-1.noarch.rpm  (FC5)
Comment 2 Mike McGrath 2006-10-16 09:36:40 EDT
There were a lot of changes.  I'd appreciate a test if you get a moment.  I
haven't tested it myself yet but will within the next day or two.

http://mmcgrath.net/~mmcgrath/otrs/otrs-2.1.1-1.noarch.rpm  (FC5)
Comment 3 David Timms 2006-10-17 09:21:11 EDT
Created attachment 138679 [details]
attempt to install initial 2.1.1-1 package

yum cant find what I guess is perl-Crypt-PasswdMD5 in either
core/updates/extras.

--> Running transaction check
--> Processing Dependency: perl(Crypt::PasswdMD5) for package: otrs
--> Finished Dependency Resolution
Error: Missing Dependency: perl(Crypt::PasswdMD5) is needed by package otrs

Another machine has it from rpmforge {perl-Crypt-PasswdMD5-1.3-1.2.fc5.rf}. Is
it OK to use that one ? Is that package being beaten into submission for
inclusion in fedora-extras, or would an admin be expected to enable the
rpmforge  repo ?
Comment 4 David Timms 2006-10-18 04:27:02 EDT
Mike, I decided to upgrade using the test package by:
# yum --enablerepo=rpmforge localinstall otrs-2.1.1-1.noarch.rpm
Loading "installonlyn" plugin
Setting up Local Package Process
Examining otrs-2.1.1-1.noarch.rpm: otrs - 2.1.1-1.noarch
Marking otrs-2.1.1-1.noarch.rpm as an update to otrs - 2.0.4-3.fc5.noarch
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package otrs.noarch 0:2.1.1-1 set to be updated
...
Dependencies Resolved
=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 otrs                    noarch     2.1.1-1          otrs-2.1.1-1.noarch.rpm   20 M
Installing for dependencies:
 perl-Algorithm-Diff     noarch     1.1901-1.2.fc5.rf  rpmforge           46 k
 perl-Crypt-PasswdMD5    noarch     1.3-1.2.fc5.rf   rpmforge           10 k
 perl-MIME-Lite          noarch     3.01-3.fc5       extras             72 k
 perl-SOAP-Lite          noarch     0.68-1.fc5       extras            354 k
 perl-Text-Diff          noarch     0.35-2.fc5       extras             32 k

This didn't work because the otrs package is not signed. I yum installed the
dependencies, then rpm -Uvh'd the otrs rpm. This updated OK, noting that otrs
was installing:
1:otrs                   warning: /var/www/otrs/Kernel/Config.pm created as
/var/www/otrs/Kernel/Config.pm.rpmnew

The otrs web interface is shown, log in OK, and then click queues, and a
Software error: was shown:
  Can't use an undefined value as a HASH reference at
/var/www/otrs//Kernel/System/Ticket/Article.pm line 1303.
--
mv Config.pm Config.pm.old
cp Config.pm.rpmnew Config.pm
and added my original local config lines from the old file.
    # data inserted by installer                           #
    # ---------------------------------------------------- #
    # $DIBI$
--
on http://faq.otrs.org/otrs/public.pl?Action=PublicFAQ&ID=130 a hint is there is
an upgrade script. I backed up the mysql db. logged into the otrs database and
source'd /var/www/otrs/scripts/DBUpdate-to-2.1.mysql.sql, which succeeded.

service otrs start, OK.

I have tested both with local and remote users. They login OK, and the basic
view queues, send email, log phone call items work.

The new {more configurable} reports I also had a play with and these seem to
work OK as default.
====
{unless I choose the stats|report type as graph-area - this generates a warning
page:
 Error: Module 'GD' not found!
Comment: 	
Bug Report: 	
Traceback: 	ERROR: OTRS-CGI-21 Perl: 5.8.8 OS: linux Time: Wed Oct 18 18:26:35 2006

Message: Module 'GD' not found!

Traceback (10489):
   Module: Kernel::System::Stats::GenerateGraph (v1.5) Line: 1176
   Module: Kernel::Modules::AgentStats::Run (v1.17) Line: 2128
   Module: Kernel::System::Web::InterfaceAgent::Run (v1.14) Line: 666
   Module:
ModPerl::ROOT::ModPerl::Registry::var_www_otrs_bin_cgi_2dbin_index_2epl::handler
(v) Line: 47
   Module: (eval) (v1.81) Line: 203
   Module: ModPerl::RegistryCooker::run (v1.81) Line: 203
   Module: ModPerl::RegistryCooker::default_handler (v1.81) Line: 169
   Module: ModPerl::Registry::handler (v1.99) Line: 30
====
I anticipate attempting the ldap user/agent authorization soon.
Comment 5 David Timms 2006-10-18 05:10:32 EDT
Side note: the stats error: Error: Module 'GD' not found! occurred in previos
otrs rpm as well, ie not introduced in this test package.
Comment 6 Mike McGrath 2006-10-18 14:51:36 EDT
Thanks for the work, I'll be taking a closer look this weekend.
Comment 7 David Timms 2007-03-22 08:27:19 EDT
I noticed that there have been a couple of otrs 2.1.x's released in extras, so
closing - current release, thanks.

Note You need to log in before you can comment on or make changes to this bug.